## ecore 1.0.0

=== debian/changelog ===
ecore (1.0.0-2) unstable; urgency=low

  * Fix missing dependency of libecore-dev on libc-ares-dev
    - Fix FTBFS in edje (Closes: #618504)
    - Fix FTBFS in efreet(Closes: #618502)

 -- Albin Tonnerre <lutin@debian.org>  Sat, 19 Mar 2011 14:32:28 +0100

ecore (1.0.0-1) unstable; urgency=low

  * Upstream release 1.0.0
  * debian/control: use architecture wildcards for libecore-fb (Closes: #604654)
  * Enable c-ares support for dns lookups in ecore-con
  * Add patches/02_fix_missing_flags_in_ecore_suite.diff:
    - fix compilation with --no-add-needed (Closes: #609246)

 -- Albin Tonnerre <lutin@debian.org>  Sun, 13 Feb 2011 11:25:54 +0100

ecore (1.0.0~beta-1) experimental; urgency=low

  * First upstream beta release
  * debian/watch: watch the release directory instead of the snapshots
  * Remove the soname lintian override, no longer needed
  * debian/rules: use the correct option to enable pthreads
  * Bump Standards-Version, no change required
  * Update debian/copyright to reflect the actual text from COPYING
  * Switch to '3.0 (quilt)' source format
  * Add patches/01_no_x_ecore_testsuite.diff: the ecore_x_bell test
    fails if no X server is running, disable it for now.

 -- Albin Tonnerre <lutin@debian.org>  Sun, 03 Oct 2010 17:04:52 +0200
