=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -fvisibility=hidden
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

binary: binary-indep binary-arch
binary-indep: build-doc-stamp
binary-arch: build-test-stamp

build-doc-stamp: build
	$(MAKE) doc
	touch $@

build-test-stamp: build
	$(MAKE) check
	touch $@

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	--disable-rpath \
	--enable-cares \
	--enable-posix-threads \
	--enable-glib \
	--disable-openssl \
	--enable-gnutls \
	--enable-ecore-fb \
	--enable-ecore-evas-fb \
	--disable-ecore-directfb \
	--disable-ecore-evas-directfb \
	--enable-tests \
	--enable-doc

override_dh_install:
	dh_install
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_install -plibecore-dev debian/tmp/usr/lib/libecore_fb.so
endif

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --dbg-package=libecore-dbg
