## ecore 1.1.0-1maemo1

=== debian/changelog ===
ecore (1.1.0-1maemo1) fremantle; urgency=low

  * 

 -- Luca Vaudano <vaudano@gmail.com>  Wed,  7 Dec 2011 17:40:32 -0500
