## ecore 1.1.0-1maemo2

=== debian/changelog ===
ecore (1.1.0-1maemo2) fremantle; urgency=low

  * Fix dependencies 

 -- Luca Vaudano <vaudano@gmail.com>  Thu, 29 Dec 2011 13:31:48 -0500
