=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS += -fvisibility=hidden
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

binary: binary-indep binary-arch
binary-indep: build-doc-stamp
binary-arch: build-test-stamp

build-doc-stamp: build
	$(MAKE) doc
	touch $@

build-test-stamp: build
	$(MAKE) check
	touch $@

DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath \
	--enable-posix-threads \
	--enable-glib \
	--disable-openssl \
	--disable-gnutls \
	--enable-ecore-fb \
	--enable-ecore-evas-fb \
	--disable-ecore-directfb \
	--disable-ecore-evas-directfb \
	--disable-tests \
	--disable-doc
