## ecore 1.2.0

=== debian/changelog ===
ecore (1.2.0-2) unstable; urgency=low

  * Use the new '-indep' targets of dh and update Build-Deps accordingly
  * Move to dh compat level 9
  * debian/control: bump Standards-Version to 3.9.3
  * Disable the testsuite for now, it has too many issues (Closes: #673176)

 -- Albin Tonnerre <lutin@debian.org>  Sun, 20 May 2012 17:41:10 +0200

ecore (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Acknowledge NMU for ecore 1.0.0-2.1; Thanks Gregor Herrmann
  * drop debian/patches/02_fix_missing_flags_in_ecore_suite, applied upstream
  * debian/rules: force the use of the xlib backend to be on par with evas

 -- Albin Tonnerre <lutin@debian.org>  Sun, 13 May 2012 13:26:44 +0200

ecore (1.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please Build-Depends on libjpeg-dev, not libjpeg62-dev":
    do as the bug report requests. (Closes: #635687)

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Sep 2011 00:33:41 +0200
