=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: ecore
 Section: libs
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Luca Vaudano <vaudano@gmail.com>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders: Albin Tonnerre <lutin@debian.org>, Niv Sardi <xaiki@debian.org>,
  Xavier Oswald <x.oswald@free.fr>, Jan Lübbe <jluebbe@debian.org>
-Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 9), libeina-dev (>= 1.2.0),
- libeet-dev (>= 1.4.0~), libevas-dev (>= 1.2.0), libgnutls-dev,
- libcurl4-gnutls-dev, libxcursor-dev, libxss-dev, libxrender-dev, libxinerama-dev,
+Build-Depends: dpkg-dev (>= 1.14.8), debhelper (>= 5), libeina-dev (>= 1.2.0),
+ libeet-dev (>= 1.6.0), libevas-dev (>= 1.2.0), libgnutls-dev,
+ libxcursor-dev, libxss-dev, libxrender-dev, libxinerama-dev,
  libxrandr-dev, libxext-dev, libxp-dev, libxcomposite-dev, libxi-dev,
- libxdamage-dev, x11proto-xext-dev, libxtst-dev, libglib2.0-dev, libjpeg-dev,
- libc-ares-dev, check
+ libxdamage-dev, x11proto-xext-dev, libxtst-dev, libglib2.0-dev, libjpeg62-dev,
+ check
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.3
+Standards-Version: 3.9.1
 Homepage: http://enlightenment.org
 Vcs-Git: git://git.debian.org/pkg-e/libs/ecore.git
 Vcs-Browser: http://git.debian.org/?p=pkg-e/libs/ecore.git
 
 Package: libecore1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Core abstraction layer for enlightenment DR 0.17
  This is the core event abstraction layer and X abstraction layer that makes
@@ -29,7 +29,6 @@
 
 Package: libecore-con1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore Connection Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -42,7 +41,6 @@
 
 Package: libecore-evas1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore Evas Wrapper Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -54,8 +52,7 @@
  This package contains the Ecore Evas wrapper functions.
 
 Package: libecore-fb1
-Architecture: linux-any
-Pre-Depends: multiarch-support
+Architecture: alpha amd64 armel avr32 hppa i386 ia64 lpia m68k mips mipsel powerpc powerpcspe s390 sh4 sparc sparc64
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore frame buffer system functions
  This is the core event abstraction layer and X abstraction layer that makes
@@ -68,7 +65,6 @@
 
 Package: libecore-file1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore File Library
  This is the core event abstraction layer and X abstraction layer that makes
@@ -81,7 +77,6 @@
 
 Package: libecore-imf1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore Input Method Framework module
  This is the core event abstraction layer and X abstraction layer that makes
@@ -95,7 +90,6 @@
 
 Package: libecore-input1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore input module
  This is the core event abstraction layer and X abstraction layer that makes
@@ -108,7 +102,6 @@
 
 Package: libecore-ipc1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore inter-process communication functions
  This is the core event abstraction layer and X abstraction layer that makes
@@ -121,7 +114,6 @@
 
 Package: libecore-x1
 Architecture: any
-Pre-Depends: multiarch-support
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Ecore functions for dealing with the X Windows System
  This is the core event abstraction layer and X abstraction layer that makes
@@ -140,16 +132,16 @@
 Depends: ${misc:Depends}, libecore1 (= ${binary:Version}),
          libecore-con1 (= ${binary:Version}),
          libecore-evas1 (= ${binary:Version}),
-         libecore-fb1 (= ${binary:Version}) [linux-any],
+         libecore-fb1 (= ${binary:Version}) [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
          libecore-file1 (= ${binary:Version}),
          libecore-imf1 (= ${binary:Version}),
          libecore-ipc1 (= ${binary:Version}),
          libecore-x1 (= ${binary:Version}),
-         libeet-dev (>= 1.4.0~), libevas-dev (>= 1.0.0~), libeina-dev (>= 1.0.0~),
-         libgnutls-dev, libcurl4-gnutls-dev, libxcursor-dev, libxss-dev,
+         libeet-dev (>= 1.6.0), libevas-dev (>= 1.2.0), libeina-dev (>= 1.2.0),
+         libgnutls-dev, libxcursor-dev, libxss-dev,
          libxrender-dev, libxinerama-dev, libxrandr-dev, libxext-dev, libxi-dev,
          libxp-dev, libxcomposite-dev, libxdamage-dev, x11proto-xext-dev, libxtst-dev,
-         libglib2.0-dev, libc-ares-dev, pkg-config
+         libglib2.0-dev, pkg-config
 Description: Ecore headers and static libraries
  This is the core event abstraction layer and X abstraction layer that makes
  doing selections, Xdnd, general X stuff, and event loops, timeouts and idle
