## ecore 1.7.7

=== debian/changelog ===
ecore (1.7.7-2ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 Jan 2014 03:30:11 -0500

ecore (1.7.7-2) unstable; urgency=medium

  * Add symbols files for all library packages
  * debian/control: fix typo in packages description (Closes: #653754, #726928)

 -- Albin Tonnerre <lutin@debian.org>  Wed, 25 Dec 2013 18:15:59 +0100

ecore (1.7.7-1) unstable; urgency=low

  * New upstream release
  * debian/control: bump eina/evas Build-Depends version to 1.7.7
  * debian/control: update URI in the VCS-* fields

 -- Albin Tonnerre <lutin@debian.org>  Sun, 21 Jul 2013 13:02:13 +0200

ecore (1.7.4-2) unstable; urgency=low

  * Upload to unstable

 -- Albin Tonnerre <lutin@debian.org>  Sat, 11 May 2013 13:00:39 +0200

ecore (1.7.4-1) experimental; urgency=low

  * New upstream release
  * Install the IM modules along with the lib in libecore-imf1
  * Bump Standards-Version, no change required
  * Update build-deps to use the latest version evas
  * Remove build-dep on eet, it was only used for the obsolete ecore-config

 -- Albin Tonnerre <lutin@debian.org>  Sun, 23 Dec 2012 14:01:19 +0100
