=== debian/watch ===
version=3
http://download.enlightenment.org/releases/ecore-(.*)\.tar\.gz
